<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">

<h:head>
    <!-- Required meta tags -->
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <!-- Bootstrap CSS -->
    <link href="#{request.contextPath}/css/bootstrap.css" rel="stylesheet" />
    <link href="#{request.contextPath}/css/bootstrap-grid.css" rel="stylesheet" />
    <link href="#{request.contextPath}/css/bootstrap-reboot.css" rel="stylesheet" />
    <!-- Bootstrap CSS -->

    <!-- Own CSS-File -->
    <link href="#{request.contextPath}/css/loginpage-content-stylesheet.css" rel="stylesheet" />
    <!-- Own CSS-File -->

    <!-- Icons for Bootstrap -->
    <script src="https://kit.fontawesome.com/1054f496fb.js" crossorigin="anonymous"></script>
    <!-- Icons for Bootstrap -->

    <!-- Bootstrap Javascript -->
    <link href="#{request.contextPath}/js/bootstrap.js" rel="stylesheet" />
    <link href="#{request.contextPath}/js/bootstrap.bundle.js" rel="stylesheet" />
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <!-- Bootstrap Javascript -->
</h:head>

<f:metadata>
    <f:viewParam name="searchID" value="#{repairTurbineTechnicianController.searchID}"/>
</f:metadata>

<!--Content -->
<h:body>
    <div class="container-fluid">
        <div class="row">
            <div class="sidenav col-sm-12 col-md-4 col-lg-4 text-center">
                <div class=" text-centre-middle">
                    <h2 id="styles1">Ticket</h2>
                    <p id="styles2">Please type in the status of turbines parts: .</p>
                </div>
            </div>
            <div class="col-sm-12 col-md-8 col-lg-8" id="styles4">
                <div class="text-centre-middle">
                    <h:form id="styles6">
                        <div class="form-group">
                            <label style="font-size: 1rem"><strong>ticket-number</strong></label>
                            <h:inputText value="#{repairTurbineTechnicianController.searchID}" class="form-control"/>
                        </div>
                        <div class="form-group">
                            <label style="font-size: 1rem"><strong>casing</strong></label>
                            <h:inputText value="#{repairTurbineTechnicianController.casing}" class="form-control"/>
                        </div>
                        <div class="form-group">
                            <label style="font-size: 1rem"><strong>electronics</strong></label>
                            <h:inputText value="#{repairTurbineTechnicianController.electronics}" class="form-control"/>
                        </div>
                        <div class="form-group">
                            <label style="font-size: 1rem"><strong>gearbox</strong></label>
                            <h:inputText value="#{repairTurbineTechnicianController.gearbox}" class="form-control"/>
                        </div>
                        <div class="form-group">
                            <label style="font-size: 1rem"><strong>generator</strong></label>
                            <h:inputText value="#{repairTurbineTechnicianController.generator}" class="form-control"/>
                        </div>
                        <div class="form-group">
                            <label style="font-size: 1rem"><strong>rotor</strong></label>
                            <h:inputText value="#{repairTurbineTechnicianController.rotor}" class="form-control"/>
                        </div>
                        <div class="form-group">
                            <label style="font-size: 1rem"><strong>power</strong></label>
                            <h:inputText value="#{repairTurbineTechnicianController.power}" class="form-control"/>
                        </div>
                        <div style="text-align: right">
                            <h:commandButton value="repair" action="#{repairTurbineTechnicianController.sendConfirmationToController()}" styleClass="styles5"/>
                        </div>
                    </h:form>
                </div>
            </div>
        </div>
    </div>
</h:body>

<!--Content -->
</html>
